Ticket #3935 (closed enhancement: fixed)

Opened 8 years ago

Last modified 8 years ago

管理画面でのコミュニティ管理機能の強化

Reported by: kiwa Assigned to: urabe
Priority: minor Milestone: OpenPNE2.14beta1
Component: 指定しない Version:
Keywords: Cc:

Description (Last modified by urabe)

■概要

管理画面でのコミュニティに関する操作を増やし、管理しやすくする。

■仕様

  1. コミュニティ管理 -> コミュニティリスト にリプレイス
  2. メンバー管理 メニュー以下に「コミュニティリスト」を追加
  3. コミュニティリストで「コミュニティ削除」をできるようにする。
  4. 単一コミュニティ閲覧ページを作り、説明文・コミュ画像などはそこで閲覧できるようにする。
  5. 管理画面からコミュニティメンバーへの一斉メッセージ送信を行えるようにする

■関連情報

画面仕様

browser:OpenPNE_specification/trunk/2.14/20090518_管理画面コミュニティリスト画面仕様.ppt

Change History

05/19/09 12:41:29 changed by kiwa

r11692にて画面仕様の変更を行いました。

【A3】コミュニティメンバーリスト(page_list_c_commu_member)
メッセージ送信機能を全てのメンバーに送信のみに変更
【A6】コミュニティ詳細画面
項目「参加者数」を追加とメンバーリストへの遷移先を変更

05/20/09 10:07:39 changed by kiwa

r11695にて2.13.7で取り込まれた内容が復元されています。

05/20/09 18:04:49 changed by kudo

途中までですがr11719r11718でコミットしました。

05/21/09 14:51:13 changed by urabe

  • owner changed from nobody to urabe.
  • status changed from new to assigned.

05/21/09 19:44:32 changed by urabe

  • keywords set to 確認中.
  • description changed.

r11725 でコミットしました。

(詳細)

  • JavaScript? の関数に引数を渡して、オールセレクトがあらゆる箇所で利用できるように修正
  • Do の削除のアクションページを追加
  • 降順表示を修正
  • コミュの削除をひとつのページで可能なように修正
  • 仕様変更に伴い Description も修正

05/21/09 20:59:19 changed by urabe

r11726 でボタンのレイアウト崩れを修正
r11727 で不要になったコミュニティ管理ページを削除しました

05/21/09 21:13:23 changed by imamura623

  • keywords changed from 確認中 to 差し戻し.
  • コミュリストのID検索をしても該当コミュがヒットしない

05/21/09 21:17:55 changed by imamura623

  • 全てをチェック をクリックしてもチェックされない

05/21/09 21:19:40 changed by imamura623

  • チェックマークが付いていてもすべてのチェックをはずすが機能しない

05/21/09 21:41:47 changed by urabe

  • keywords changed from 差し戻し to 確認中.

r11728 で修正しました。

  • 検索が正常に動作しない問題
  • JSのキャッシュが残って、選択が動作しない問題を修正

05/21/09 22:15:20 changed by urabe

r11729 で文字間の不要なスペースを削除

05/21/09 22:18:26 changed by imamura623

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

以下の項目について動作確認いたしました。

  • コミュニティ名、コミュ管理者、メンバーリスト、詳細、削除のリンクが正しく遷移する
  • 単体削除、チェックしたコミュの一括削除ができる
  • 削除後、コミュニティの削除が完了しましたというメッセージが表示される
  • コミュメンバーにメッセージまたはEメールが送信できる
  • キーワード検索・ID検索ができる
  • 検索エラーの場合、エラーメッセージが表示される
  • 該当するコミュニティが無い場合も該当するコミュニティがありませんと表示する
  • 全てをチェック・全てのチェックをはずすが機能する

問題無いようなので、修正完了としこのチケットは閉じます。
お疲れ様でした。